# Static Pages

There are *some* static pages (like helper pages) that are not really a part of YAPEX

They can be found at `frontend/static_pages/`


## firstExternalLoginPage

This is a website if the user comes from OSTEPU (another website of the university for administration for exercises).

A user is redirected from OSTEPU to this site which forces the user to enter a password for YAPEX.
This is useful in case OSTEPU or some other website is down and the user need to login into YAPEX directly.

There are some strong dependencies with this approach, see [workflow](workflow.md)

*Also note that the name of the html file is crucial because there is a setting in the backend that msut match this name (`LoginExternalFirstTimeSite`)*

*Also note that after successful setting the new password we redirect to YAPEX login but the frontend don't know the login url (so it's **hard coded into the html site**)*

## passwordMigrationHelper

*This is not meant to be used by normal users*

This was a helper to migrate passwords manually in the backend database.

It allows the user to enter a password and then receive the encrypted password like it would be saved in the database.

Because the backend uses a rather long running (and cpu intensive) hashing algorithm this can reduce the performance of the backend overall.
So it's probably a good idea if this site is not too frequently used (or you just exclude it from the backend).

[This was originally done where there was not password reset feature implemented...]

## static

This contains files that are static and not part of any node module.

Other static node module files (e.g. some css) files are copied by webpack via the `CopyWebpackPlugin` plugin.
