# Signing in / login

We start with a fresh browser instance, no cookies are set and the user is not logged in in the backend (database).


The user gets the login page from the backend (e.g. index.html) and a login form is displayed.

To sign in the user you need to do the following:

make a post request to the login path `api/auth/login` with the following json body payload

```json
{
	"token": "TOKEN",
	"password": "PASSWORD"
}
```

the password must be hashed first with `SHA-512`

the response contains an error response object or some basic information about the user (see the backend type `UserDataFullBase`)

If the login succeeded you will get back 

- an cookie called `auth_token` with with a random string value
	- this token must be present when making requests agains the yapex api
	- the cookie is http only and cannot be accessed by javascript

- an cookie called `CSRF-Token` containing a random string
	- you need to capture this cookie and set its value as a header for every request. the header name is `X-CSRF-Token`

both cookies are only valid for the current session (as long as the browser is open), the auth cookie will get invalid after 30 min (but check server for new value)

after this time the token gets invalid in the backend and every further request with these tokens will fail and the frontend should display the login again

after the login you get new tokens as described above

